 ============================
[   Diagram ChangeLog   ]
 ============================

	19.0.11(02.07.2026)
=====
- Fixed: Copy paste error after compile action. 


	19.0.10(05.12.2025)
=====
- Fixed: CRC error in IEC103 and DNP3 master table binary generation (uninitialized reserved variables)
- Improved: Export and import functionality for Time Sync Source Table with Excel support
- Improved: Refresh functionality for line label models in TimeSyncSourceTableForm
- Improved: Device configuration handling with support for additional device names (dg9, gd0)
- Improved: Project hash calculation refactored into separate method for better maintainability
- Fixed: String table compilation issue
- Fixed: Database consistency when removing selected rows in ModcSettingsWidget


    	19.0.08(04.07.2025)
=====
- Improved: MP212 Device name codes updated
- Fixed: Incorrect loopback error warning removed

    	19.0.04(04.07.2025)
=====
- Improved: MP212 DEvice option added
- Improved: AnalogMAth float representation changed
- Improved: Project Eror checking feature added on project load
- Improved: Project CRC compare before Online View

    	19.0.03(31.12.2024)
=====
- Improved: Retentivity added for ImpulseRelay

    	19.0.02(20.11.2024)
=====
- Fixed: 61850 crash issues fixed

    	19.0.01(02.10.2024)
=====
- Fixed: Updatechecker disabled

    	19.0.00(04.06.2024)
=====
- Improved: DNP3 variation option added
- Improved: IEC61850 configuration interface is renewed
- Improved: CI/CD integarations complete

    	18.0.02(12.10.2023)
=====
- Fixed: Dali extension device count is always 0

   		 17.0.02(19.05.2023)
=====
- Improved: RTU101 Support
- Improved: Usb dongle support for Telediagram
- Fixed: minor fixes


  		 17.0.01(23.03.2022)
=====
- Improved: Send trig block for Var Adr Table
- Improved: IEC61850 report en/dis block
- Improved: IEC61850 report optionbits
- Improved: Device configuration DM50 added
- Improved: More options for TX parser block


  		 16.1.04(27.01.2022)
=====
- Improved: IEC61850 browser added for Telediagram
- Improved: Save projecct as menu added
- Improved: QT library upgraded to 5.15.2
- Improved: DeviceConfigTool USB connection feature


 		 16.1.03(20.01.2022)
=====
- Improved: Project table tabs are now resizing with respect to main widow size
- Improved: DAli block added


		 16.1.02(27.09.2021)
=====
- Improved: Warning if connected device is incompatible with project
- Improved: Telediagram protocol tables updated according to device type
- Improved: Modc Readout made updateable

 
         16.1.0(04.03.2021)
=====
- Improved: Version naming schema synced with device firmware version
- Improved: MQTT table import/export
- Improved: MQTT block enable/disable send blocks


        3.9.44(25.01.2021)
=====
- Improved: Add search feature on Operation blocks
- Improved: Add device menus improved
- Improved: Write into Long added on Package parser block
- Improved: REST API table introduced on Telediagram
- Improved: New options for Package Parser Block

        3.9.43(----)
=====
- Mikrodiagram find dialog crash fix

        3.9.42(26.01.2020)
=====
- Improved: IEC103 Data Export Import to Excell
- Improved: IEC61850 Data Export Import to Excell by linelabel names


        3.9.41(04.12.2019)
=====
- Improved: IEC61850 tables import/export for RTUs

        3.9.39(18.10.2019)
=====
- Fixed: Ain/Rtd config saves only 16 values

        3.9.38(26.09.2019)
=====
- Fixed: Online view writing Long register swapped values

        3.9.37(30.07.2019)
=====
- Fixed: Minor bugs
- Improved: IEC103 master for supported devices

        3.9.36(17.06.2019)
=====
- Fixed: Extension device/Main device selection group error while creating new project 

        3.9.35(31.05.2019)
=====
- Improved: Excell import/export for variable address table
- Improved: DNS block support added

        3.9.34(21.02.2019)
=====
- Improved: Modc configuration for Telediagram
- Improved: PLC <-> RTU project auto conversion
- Improved: Restrict open project file type
- Fixed:    Astrotimer missing outputs
- Fixed:    Export variable table, linelabel names

        3.9.33(15.02.2019)
=====
- Improved: NAT feature added
- Improved: Online view , updated texts

		3.9.32(14.01.2019)
=====
- Improved: PLC and extensions section improved
- Fixed: ModbusLongWrite function types fixed


		 3.9.31(17.11.2018)
=====
- Improved: TCP Socket block now supports filters using string table
- Fixed: Astronimical timer block outputs issue fixed


          3.9.30(17.11.2018)
=====
- Improved: New Feature ; Upload/Download project files on the device

          3.9.29(17.10.2018)
=====
- Fixed: SMS string ASCII limitation removed

          3.9.27(17.10.2018)
=====
- Improved: Anteras.id support added for MQTT
- Fixed: Publish payloadtype on binary


         3.9.26(12.10.2018)
=====
- Improved: Output added for CallOut block

         3.9.25(29.08.2018)
=====
- Fixed: Disabling OnlineView during firmware/project upload
- Fixed: SMS Receiver Block minor bugfixes


         3.9.24(29.08.2018)
=====
- Fixed: Variable address table binary error fix
- Improved: DNP3 Master support for Telediagram
- Fixed: Up/Down counter2 Retentivity


         3.9.23(25.08.2018)
=====
- Improved: Variable Adres Table import from CVS
- Improved: MQTT supports different frameworks like Thingboard, Ubidots
- Improved: New fields for block property table
- Improved: Filtering for block property table
- Improved: Block property table docking improved
- Improved: Loding progress bar accuracy improved
- Improved: MAcro Memory size Indicator


         3.9.22(18.08.2018)
=====
- Fixed: Lag while Logging in to the device on TCP connection

        3.9.21(29.07.2018)
=====
- Improved: Device thumbnail images updated
- Improved: MQTT Serial Number as Username option
- Improved: MQTT/IEC table naming corrections

        3.9.20(11.07.2018)
=====
- Fixed: Simulation bug; peaks at DINS and AINs when stop/sart simulation
- Fixed: Simulation bug; other minor bugs
- Fixed: Cannot view new blocks added to project on Online View , only after restarting Mikrodiagram 

       3.9.19(11.07.2018)
=====
- Fixed: Saving problems related with Notes and Block grouping rectangles
- Fixed: Binary error with macros when LCD/MQTT view option selected

       3.9.18(10.06.2018)
=====
- Improved: Better default values for AIN and RTD
- Improved: File load percentage indicator
- Fixed: Minor bug fixes

       3.9.17(08.06.2018)
=====
- Improved: PLC&Expansions page visual improvements
- Improved: Initial values for AIN and RTD tables
- Fixed: MQTT binary error fixed


       3.9.16(29.05.2018)
=====
- Improved: MQTT, LineLabel format option added
- Improved: SNMP Blocks added
- Improved: Macro Editor Improvements
- Improved: Mikroteminal new commands and  Visual Improvements

       3.9.15(22.05.2018)
=====
- Fixed: Digital Output counts error

       3.9.14(20.05.2018)
=====
- Fixed: Serial Gateway block added

      3.9.13(23.04.2018)
=====
- Fixed: Device parameter reading error fixed

      3.9.12(20.04.2018)
=====
- Fixed: A login related bug fixed
- Improved: More detail added for update notification

     3.9.11(08.04.2018)
=====
- Fixed: Excluded empty topcs from MQTT binary
- Fixed: Fixed help link
- Fixed: Fixed MQTT table operations


     3.9.10(04.04.2018)
=====
- Improved: Added "Clean Session" configuration for MQTT
- Improved: Disable logoff command for older firmware devices.

     3.9.08(04.04.2018)
=====
- Fixed: MQTT table double entries
- Fixed: IP address filter error in connection form

     3.9.07(30.03.2018)
=====
- Improved: Option to disable Device Login Password(Requires firmware 15.05)
- Improved: "New version available" notification
- Improved: Device firmware compatibility check added
- Improved: Mikroterminal visual improvements

     3.9.06(30.03.2018)
=====
- Fixed: A minor serial port bug fixed
- Fixed: Device configure screen scale for low resolution screens

     3.9.05(29.03.2018)
=====
- Improved: Login/Logout indicators improved

     3.9.04(28.03.2018)
=====
- Improved: MP110EG added
- Improved: Socket count improved for MP110s

     3.9.03(26.03.2018)
=====
- Improved: Online View speed optimizations
- Improved: Communication Api updated
- Improved: NTP offset configuration
- Improved: Device Login/password protection added
- Improved: Qt version updated
- Improved: Binaries digitally signed

     3.9.02(12.03.2018)
=====
- Fixed: Ladder Diagram bug fixes

     3.9.01(07.03.2018)
=====
- Fixed: Ladder Diagram bug fixes

     3.9.00(03.03.2018)
=====
- Improved: Ladder Diagram support activated

     3.8.02(25.02.2018)
=====
- Fixed: Minor Bug 2018

     3.8.00(05.02.2018)
=====
- Improved: MQTT support added

     3.7.13(13.01.2018)
=====
- Improved: LineLabel selection filter for add line label dialog

     3.7.12(13.01.2018)
=====
- Fixed: PT100/PT1000 selection error

    3.7.11(13.01.2018)
=====
- Improved: GSM support for some devices

     3.7.6(12.10.2017)
=====
- Improved: Device socket limits updated

     3.7.4(18.09.2017)
=====
- Fixed : Ain and RTD config bugfix

    3.7.3(06.09.2017)
=====
- Improved: new object types for IEC104 

   	3.7.2(04.09.2017)
=====
- Improved: FindDialog improved

  	3.7.0(22.08.2017)
=====
- Improved: AIN ve RTD configurasyon ozellkileri eklendi. Firmware 13.0 ile uyumlu

 	3.6.7(16.08.2017)
=====
- Improved: Proje bilgi ekranı eklendi
- Improved: Tercüme iyileştirmeleri

	3.6.6(05.08.2017)
=====
- Fixed: Simulation error
 
 	 3.6.5(02.08.2017)
=====
- Improved: Qt 5.9.2 ye guncellendi
- Fixed: Simulation error

	 3.6.4(24.07.2017)
=====
- Fixed: Fast Counter bit option changes
 
	 3.6.3(14.07.2017)
=====
- Fixed: On/Off Control block save field error

     3.6.2(21.06.2017)
=====
- Improved: Compiler msvc ye cevrildi
- Fixed: PID sampling time not saved

     3.6.1(19.06.2017)
=====
- Improved: Modbus status blogu eklendi
- Improved: Wordtablo işlen bloğuna soket status eklendi
- Fixed: TCP den reset atma durumunda, usb disconnected uyarısı giderildi
- Fixed: SMS blok tiplerinin gösterimi

     3.6.0(21.05.2017)
=====
- Info: Telediagram ayrıldı
   
    3.5.12(01.05.2017)
=====
- Fixed: IEC104 blok yapısı düzeltildi
- Fixed: PTO blok ayarları guncellendi
- Info: En son MCF sürümü
   3.5.11(26.04.2017)
=====
- Fixed: Bazı bloklara kalicilik eklendi/cikartıldı
- Fixed: STM lerde seriport kilitlenmesi
- Fixed: Tablo bloğu table size 0 crash

  3.5.10(19.04.2017)
=====
- Fixed: Locked girişler index duzeltmesi
- Fixed: Yearly timer gun ayarlama
- Fixed: Disconnect durumunda reset butonu disable

 3.5.08(13.04.2017)
=====
- Improved: Astronomik blok çıkışsayısı 3 yapıldı

3.5.06 (26.02.2017)
=====
- Improved: Find improvements
- Improved: RLong/Analog Math Word to Signed

3.5.04 (27.12.2016)
=====
- Improved: VarAddresTable export ozelligi eklendi.
- Fixed: Remote device parameters update/set bugs

3.5.02 (27.12.2016)
=====
- Improved: IEC61850 DataObject eklemede yeni function tipleri eklendi.

3.5.01 (25.12.2016)
=====
- Improved: Eklenebilecek I/o sayısı 255 in ustune cikartildi. Onceki firmwarelerim guncellenmesi lazım. to v11.x

3.4.10 (20.12.2016)
=====
- Fixed: IEC61850 tablosunda nesne eklerken tag filtreleme duzeltildi

 3.4.09 (26.11.2016)
=====
- Improved: Yeni blok tipleri: LineLabel lar için filtre  ve tıklayıp ekleme özellikleri ekledi.

	3.4.08 (12.11.2016)
=====
- Improved: Yeni blok tipleri: Change detector, Up/Down Counter2

    3.4.07 (07.11.2016)
=====
- STM PRoject converter bugfixes 

    3.4.06 (24.10.2016)
=====
- TCP IP, SUBNET set etme problemi

    3.4.05 (22.10.2016)
=====
- Simulation main.mdv olmamasi durumunda crash
- RTU400M

    3.4.02 (26.06.2016)
=====
- IEC61850 dataset object bug fıx


   3.4.01 (14.06.2016)
=====
- IEC61850 konfgurasyon tablosu eklend.Bınary sebebıyle gerıye donuk fırmwarelerde uyum problemı olabılır

  3.3.15 (07.05.2016)
=====
- Mikrodiaram fix display device firmware version

  3.3.14 (28.04.2016)
=====
- Fixed Mikroterminal translation fixes
- Fixed Mikroterminal hex value display error

  3.3.13 (26.04.2016)
=====
- Improved: Modbus Tabloya Okuma, Modbus Tablo Okuma/Yazma Olarak Değiştirildi
- Improved: Mikroterminal english translations

  3.3.12 (22.04.2016)
=====
- Improved: STM icin RTU410, 420, 430.. serisi cihazlar eklendi

  3.3.11 (11.03.2016)
=====
- Improved: Checksum CRC ye cevrildi

 3.3.09 (11.03.2016)
=====
- Improved: IEC101, DNP3, IEC104, MODBUSTCP ve MODBUSRTU slave bloklarina adres girisi eklendi

 3.3.08 (08.03.2016)
=====
- Fixed TIME_SAVE blok uyarısı

  3.3.07 (09.02.2016)
=====
- Improved: ModbusGateway Blogu eklendi
- Fixed:265	Bug	Resolved	Normal	Kendi kendine eklenen ek üniteler Mikrodiagram Ver 3.3.06	Yigit Admin	02/09/2016 11:06 AM
- Fixed:256	Bug	Resolved	Normal	Bit Birleştirici İsimlendirme Hatası	Yigit Admin	02/08/2016 12:41 AM
- Fixed:243	Bug	Resolved	Normal	word işlem INC girişi	Yigit Admin	01/29/2016 03:28 PM
- Fixed:238	Support	Resolved	Normal	Bit Birleştirme Blogu
- Fixed:    BlogGrupDortgeni secilebilirlik problemi

 3.3.06 (22.01.2016)
=====
- Improved: Matematik işlem bloklarına GET ve SET eklendi

 3.3.05 (20.01.2016)
=====
- Improved: Macro renklendirme
- Improved: Mimari uyumsuzlugu uyarisi

 3.3.04 (20.01.2016)
=====
- Fixed: Modbus Function Codes

 3.3.03 (17.01.2016)
=====
- Improved: Sağ klik nesne ekleme özelliği
- Fixed: Bug #227 Point Calibrator blok parametre saklama
- Fixed: Bug #223 Analog dörtlü seçici ve ikili seçici

 3.3.02 (14.01.2016)
=====
- Improved: Tercume düzenlemeler
- Fixed: 210 blok gruplama ekranı üzerine "yapıştır" yapılamıyor.
- Fixed: 199 Uzun Süre Sonra Açılamayan Dosya
- Fixed: 174 Projeyi açma hatası.

 3.3.01 (06.01.2016)
=====
- Improved: Blok isimlerinden güncellemeler, tercume düzenlemeler
- Improved: Blok ikomları guncellendi
- Fixed: Runtime blok structure guncelleme

 3.2.9 (16.12.2015)
=====
- Fixed: String blokları bugfix
- Fixed: Yardım doku Help menusune taşındı(Eski Mikrodiagram tamamen uninstall edilmeli)

 3.2.8 (05.12.2015)
=====
- Fixed: Bağlantı baslatma/bitirme durumundaki memory leak giderildi

 3.2.7 (05.12.2015)
=====
- Fixed: Modbus slave/master cıkis tipleri dzueltildi

 3.2.6 (05.12.2015)
=====
- Fixed: Modbustablo ve DEvnet blokrı bug fix.

 3.2.5 (03.12.2015)
=====
- Improved: Eski mdstr dosyalarını, string tabloya import etme ozelliği eklendi.

 3.2.4 (02.12.2015)
=====
- Fixed: Blok grup save error

 3.2.3 (02.12.2015)
=====
- Fixed: Coldfire larda analog register  swap hatası duzueltildi

 3.2.2 (02.12.2015)
=====
- Fixed: Hat etiketi kopyalamada kritik bir hata cozuldu
- Improved: BLoklarin kopyalanmasi blok noya  gore sirali hale getirildi
- Improved: Hat etiketli blokların kopyalanmasında hat etiketleri otomatik isimlendirme yapildi

 3.2.1 (02.12.2015)
=====
- Fixed: Blok grup dörtgeni ve sayfa boyutu kaydetme problemi çözüldü

 3.2.0 (01.12.2015)
=====
- Improved: Analog register, tcp blok yapıları değişti. 8.11 firmware gerekiyor

 3.1.18 (26.11.2015)
=====
- Fixed: Autosave crash hatası düzeltildi. 

 3.1.17 (20.11.2015)
=====
- Fixed: Hat baglanti kaydetme hatası düzeltildi. 

 3.1.16 (20.11.2015)
=====
- Fixed: Hat baglanti kaydetme hatası düzeltildi. 

 3.1.15 (20.11.2015)
=====
- Improved: Blok online izleme toplu seçme/kaldırma eklendi

 3.1.14 (20.11.2015)
=====
- Improved: A lot..

 3.1.13 (14.11.2015)
=====
- Improved: Binary guncellenmesi, Varible Data Tebale elemanları sıralı hale getirildi.

 3.1.12 (12.11.2015)
=====
- Improved: Variable Addres Tablosuna, "ekle ve devam et" butonu eklendi 

 3.1.10 (08.11.2015)
=====
- Improved: Veri transferinde checksum eklendi
- Improved: Nesneleri yatay ve dike dizme fonksiyonu eklendi

 3.1.9 (08.11.2015)
=====
- Fixed: GSM dosya yukleme duzeltmeler

 3.1.7 (07.11.2015)
=====
- Fixed: Buyuk projelerin yuklenme durumunda crash duzeltildi

 3.1.6 (02.11.2015)
=====
- Fixed: Tekrarlanan hat etiketleri
- Improved: TCP bağlantı uyarıları eklendi

 3.1.5 (02.11.2015)
=====
- Fixed: GSM Baglanti iyilestirmeleri
- Fixed: String tablo indeks kayması duzeltildi

 3.1.2 (02.11.2015)
=====
- Fixed: MbusTcpMaster ve MbusTcpSlave blokların cıkısları guncellendi
- Fixed: Mbus bloklari swap hatalari duzeltildi

 3.1.1 (31.10.2015)
=====
- IMPROVED:    Modbus Blokları guncellemeleri.(Dikkat! Eski projelerdeki bloklar calismayabilir)
- IMPROVED:    SystemReset Bloğu eklendi

3.0.15 ()
=====
- FIXED:    106	Mikrodiagram Kes/Yapıştır
- FIXED:    101	3.0.13 MCF IQ32 ekleme hatası
- FIXED:    TCP setvalue duzeltmesi(PLC tarafında düzeltme yapılmalı)

3.0.14 (2015-10-15)
=====
- FIXED:    Seri port baglanti secimi hatasi duzeltildi
- FIXED:    Tcp Cihaz resetten sonra connection close eklendi

3.0.13 (2015-10-7)
=====
- IMPROVED: 74 Modbus Id filtreleme
- FIXED:    51  Online izleme esnasında bloklar ile yapılacak işlemler yok
- IMPROVED: Bazı blok ikonları guncellendi

3.0.12 (2015-10-7)
=====
- FIXED:  61 Mikrodiagram3.0.8 MCF Analog Rampa
- FIXED:  54 main.mdv kopyalamada Giriş/Çıkış Blokları
- IMPROVED: 80 Register bloklarda online izleme default "true" olsun
- FIXED:  83 Birden fazla modbus bloğu eklenebilmesi.(Ayrıca Mbus master/slave, tcp socket gibi bloklardaki sayı sınırı kaldırıldı)

3.0.11 (2015-10-4)
=====
- FIXED:  73 Metin tablosu gönderme
- FIXED:  75 long bloklar online izleme
- IMPROVED: Baglanti ikonlari degistirildi
- IMPROVED: Baglanti uyarı mesajlari eklendi

3.0.10 (2015-10-1)
=====
- FIXED:  69 Mikrodiagram3.0.8 MCF hat etiketi
- IMPROVED: Online izleme optimizasyon

3.0.09 (2015-10-1)
=====
- FIXED:  65  MCF Modbus Long Reader ve Writer
- FIXED:  64  MCF Online İzleme	
- FIXED:  63  MCF Locked Blokları

3.0.08 (2015-09-30)
=====
- FIXED:  57 MCF blok kopyala yapıştırma
- FIXED:  56 MCF Nesne Ekleme Modu
- FIXED:  48 Diagram tcp port açma timeout yok
- FIXED:  58 MCF (LOT) Logic Operation Table
- FIXED:  TCP bağlantısı için stateler duzenlendi

3.0.07 (2015-09-30)
=====
- FIXED:  50 Serial port baudrate other kutusu ilk değeri
- FIXED:  52 MCF Online İzleme
- FIXED:  47 TCP block saysı

3.0.06 (2015-09-29)
=====
- IMPROVED: Seriport formuna port tipi eklendi ve baud girişi düzenlendi 

3.0.03 (2015-09-20)
=====
- IMPROVED: Tablo yapısı guncellendi. 
- IMPROVED: TBinarye Protokol tabloları eklendi. 
- IMPROVED: String tablosu da .data dosyasının içine alındı.

3.0.02 (2015-09-17)
=====
- IMPROVED: IEC 104 blogu eklendi, IEC 101 guncellendi

3.0.01 (2015-09-16)
=====
- IMPROVED: Yeni structure a gore binary olusturma eklendi